WebPagetest Forums

Full Version: Waterfalls Gone After 2.6 Upgrade?
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2
Hello!

After upgrading my local private instead of WebPageTest to version 2.6 none of the waterfalls are showing up. (Safari just shows a blue question mark.) Up till now the screen shots wouldn't show up in the overview screen, but they would when you clicked on the click. (The thumbnail isn't being generated.) I've been able to live with that, but can't live without the waterfalls.

Any tips on how to troubleshoot this?

- Matt
Sounds like the gd php plugin isn't installed. You may also need to upgrade to php 5.3 if you aren't on it already
I'm on PHP 5.3. phpinfo() reports that gd is installed, version 2.0.34.

- Matt
It's dieing in file object_detail.inc in function AddResponseBodyFlags(), at the following line:

$zip = new ZipArchive;

I've recomplied PHP with --enable-zip and it's still not working... trying to figure out what exactly is going on here. That constructor looks odd to me.

- Matt
(03-06-2012 07:02 AM)pmeenan Wrote: [ -> ]Sounds like the gd php plugin isn't installed. You may also need to upgrade to php 5.3 if you aren't on it already

I just did a fresh install of CentOS 5.7, got it fully up to date, removed the php RPMs and installed the php53 versions instead. I have the following packages installed:

php53-cli-5.3.3-1.el5_7.6
php53-common-5.3.3-1.el5_7.6
php53-5.3.3-1.el5_7.6
php53-gd-5.3.3-1.el5_7.6
php53-ldap-5.3.3-1.el5_7.6

I still can't get waterfalls to work, it's error out at the same spot.

What distro is WPT tested on? I wonder if I'm getting something that CentOS/RHEL specific.

- Matt
The main WPT server runs on Ubuntu but I do most of the development on Windows. Do you see anything in the error log?

Edit: sorry, see you have an error, let me see if I can find anything on that.
Just a sanity check, do you know if zlib is installed on the server?
(03-07-2012 04:04 AM)pmeenan Wrote: [ -> ]Just a sanity check, do you know if zlib is installed on the server?

[mwhite@wpt-test ~]$ rpm -qa | grep zlib
zlib-devel-1.2.3-4.el5
zlib-devel-1.2.3-4.el5
zlib-1.2.3-4.el5
zlib-1.2.3-4.el5
[mwhite@wpt-test ~]$

Yup. (It's listed twice because there's an i386 and x86_64 version.) Also, zlib shows up in phpinfo() as working.

- Matt
I built a Ubuntu VM, and it's working there. I'll see if I can't track down what the difference is between CentOS and Ubuntu.

- Matt
We have the same issue. Recently upgraded our server to 2.6 and the waterfalls now just show a white box with a red X in the upper right corner ... anybody come up with any ideas yet?

- zlib is installed
- gd is installed

Huh
Check to see if "zip" is installed. Apparently we introduced it as a dependency and I'm working on unwinding that now for the next release (sorry about that).
Pages: 1 2
Reference URL's